Name:          ssr
Version:       0.4.4
Release:       1mamba
Summary:       Simple Screen Recorder is a Linux program to record programs and games
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.maartenbaert.be/simplescreenrecorder/
Source:        https://github.com/MaartenBaert/ssr.git/%{version}/ssr-%{version}.tar.bz2
Patch0:        ssr-0.4.4-ffmpeg-5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libgcc
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libjack-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libv4l-devel
## AUTOBUILDREQ-END
BuildRequires: libpulseaudio-devel >= 12.2
Provides:      simplescreenrecorder

%description
Simple Stream Recorder is a Linux program to record programs and games.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .ffmpeg-5

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/ssr-glinject
%{_bindir}/simplescreenrecorder
#%{_libdir}/libssr-glinject.la
%{_libdir}/libssr-glinject.so
%{_datadir}/applications/simplescreenrecorder.desktop
%{_datadir}/metainfo/simplescreenrecorder.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/simplescreenrecorder*.png
%{_datadir}/icons/hicolor/scalable/apps/simplescreenrecorder*.svg
%dir %{_datadir}/simplescreenrecorder
%dir %{_datadir}/simplescreenrecorder/translations
%{_datadir}/simplescreenrecorder/translations/simplescreenrecorder_*.qm
%dir %{_datadir}/simplescreenrecorder/output-profiles
%{_datadir}/simplescreenrecorder/output-profiles/*.conf
%{_mandir}/man1/*.1*
%doc COPYING
#%doc README.md

%changelog
* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 0.4.4-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Sat Aug 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.11-1mamba
- update to 0.3.11

* Thu Jun 22 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-1mamba
- update to 0.3.8

* Mon Mar 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- package created using the webbuild interface
